OGRE: Ogre::ImGuiOverlay Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ImGuiOverlay Class Reference

Ogre's integrated support for Dear ImGui. More...

`#include <OgreImGuiOverlay.h>`

Inheritance diagram for Ogre::ImGuiOverlay:
[legend]

## Public Member Functions
| ImGuiOverlay ()
| ~ImGuiOverlay ()
void | _findVisibleObjects (Camera *cam, RenderQueue *queue, Viewport *vp) override
| Internal method to put the overlay contents onto the render queue.
ImFont * | addFont (const String &name, const String &group=RGN_DEFAULT)
| add font from ogre .fontdef file.
Public Member Functions inherited from Ogre::Overlay
| Overlay (const String &name)
| Constructor: do not call direct, use OverlayManager::create.
virtual | ~Overlay ()
void | _getWorldTransforms (Matrix4 *xform) const
| Used to transform the overlay when scrolling, scaling etc.
void | _notifyOrigin (const String &origin)
| Notify this overlay of it's origin.
void | add2D (OverlayContainer *cont)
| Adds a 2D 'container' to the overlay.
void | add3D (SceneNode *node)
| Adds a node capable of holding 3D objects to the overlay.
void | clear ()
| Clears the overlay of all attached items.
virtual OverlayElement * | findElementAt (Real x, Real y)
| This returns a OverlayElement at position x,y.
const OverlayContainerList & | get2DElements () const
| Returns all 2D elements in this manager.
OverlayContainer * | getChild (const String &name)
const String & | getName (void) const
| Gets the name of this overlay.
const String & | getOrigin (void) const
| Get the origin of this overlay, e.g.
const Radian & | getRotate (void) const
| Gets the rotation applied to this overlay, in degrees.
Real | getScaleX (void) const
| Gets the current X scale value.
Real | getScaleY (void) const
| Gets the current Y scale value.
Real | getScrollX (void) const
| Gets the current X scroll value.
Real | getScrollY (void) const
| Gets the current Y scroll value.
ushort | getZOrder (void) const
| Gets the Z-order of this overlay.
void | hide (void)
| Hides the overlay if it was visible.
bool | isInitialised (void) const
| Gets whether the overlay is initialised or not.
bool | isVisible (void) const
| Gets whether the overlay is displayed or not.
void | remove2D (OverlayContainer *cont)
| Removes a 2D container from the overlay.
void | remove3D (SceneNode *node)
| Removes a 3D element from the overlay.
void | rotate (const Radian &angle)
| Adds the passed in angle to the rotation applied to this overlay.
void | scroll (Real xoff, Real yoff)
| Scrolls the overlay by the offsets provided.
void | setRotate (const Radian &angle)
| Sets the rotation applied to this overlay.
void | setScale (Real x, Real y)
| Sets the scaling factor of this overlay.
void | setScroll (Real x, Real y)
| Sets the scrolling factor of this overlay.
void | setVisible (bool visible)
| Shows or hides this overlay.
void | setZOrder (ushort zorder)
| Alters the Z-order of this overlay.
void | show (void)
| Shows the overlay if it was hidden.

## Static Public Member Functions
static void | NewFrame ()
| generally should be called before every frame, before you render things with ImGui for example, at the start of a RenderTargetListener::preViewportUpdate

## Additional Inherited Members
Public Types inherited from Ogre::Overlay
typedef std::list< OverlayContainer * > | OverlayContainerList

## Detailed Description

Ogre's integrated support for Dear ImGui.

## Constructor & Destructor Documentation

## ◆ ImGuiOverlay()

Ogre::ImGuiOverlay::ImGuiOverlay | ( |  | ) |

## ◆ ~ImGuiOverlay()

Ogre::ImGuiOverlay::~ImGuiOverlay | ( |  | ) |

## Member Function Documentation

## ◆ addFont()

ImFont * Ogre::ImGuiOverlay::addFont | ( | const String & | name,
|  | const String & | group = RGN_DEFAULT )

add font from ogre .fontdef file.

Must be called before first show() for the new font to be used.

References OGRE_RESOURCE_GROUP_INIT.

## ◆ NewFrame()

void Ogre::ImGuiOverlay::NewFrame | ( |  | ) |
| static

generally should be called before every frame, before you render things with ImGui for example, at the start of a RenderTargetListener::preViewportUpdate

Must be called before the first frame with a visible ImGuiOverlay is rendered or else ImgGUI will SegFault.

Must be called before many ImgGUI functions or else they will SegFault.

## ◆ _findVisibleObjects()

void Ogre::ImGuiOverlay::_findVisibleObjects | ( | Camera * | cam,
|  | RenderQueue * | queue,
|  | Viewport * | vp )
| overridevirtual

Internal method to put the overlay contents onto the render queue.

Reimplemented from Ogre::Overlay.

The documentation for this class was generated from the following file:

- OgreImGuiOverlay.h